Tag: build.gradle

'No se encontró ningún identificador de recurso para el atributo', incluso después de usar el espacio de nombres http://schemas.android.com/apk/res-auto

Im portar una aplicación existente para gradle construir el sistema y obtuvo el siguiente error al hacer una compilación de error: No resource identifier found for attribute 'ignore_vertical_scroll' in package 'com.example.dummyapp' línea de comandos error: No resource identifier found for attribute 'ignore_vertical_scroll' in package 'com.example.dummyapp' Ahora 'ignore_vertical_scroll' es un atributo personalizado definido en attrs.xml utiliza […]

Ejecución de pruebas unitarias antes de cada construcción en Gradle

¿Cómo puedo configurar un build.gradle en un proyecto de Android para ejecutar todas mis pruebas de unidad antes de cada compilación de depuración o liberación? Sé que puedo establecer dependencias de tareas con dependsOn , pero ¿cómo puedo especificarlo para la tarea de prueba de unidad? Me gustaría hacer esto para cada módulo (Android y […]

Plugin con id 'com.android.library' no encontrado

Estoy recibiendo este error, cuando intento utilizar un proyecto de biblioteca en Android Studio. La línea específica en build.gradle que da este error es apply plugin: 'com.android.library' Incluso intenté cambiarlo a apply plugin: 'android-library' Bu todavía no funciona, en lugar de eso dice: Error:(7, 0) Plugin with id 'android-library' not found. Incluso intenté agregar: classpath […]

¿Cómo generar reportes de findbugs usando gradle script?

Estoy intentando generar informes usando el plugin de los findbugs para eso escribí abajo mencionado gradle script. Estoy fijando la carpeta de la destinación para los informes pero la carpeta respectiva no consigue generated.So, cómo solucionar este problema. Puedo capaz de generar informes manualmente usando el botón de la exportación pero quiero generar de la […]

Intelij Error: Causa: org.gradle.internal.component.external.model.DefaultModuleComponentSelector

He añadido maven url a mi gradle: repositories { mavenCentral() maven{ url "https://oss.sonatype.org/content/repositories/snapshots/" } } Y la biblioteca a la aplicación de arranque de primavera y tengo: Error:Cause: org.gradle.internal.component.external.model.DefaultModuleComponentSelector Y biblioteca: Compile 'com.github.jonaslins: fiware-orion-library: 0.0.1-SNAPSHOT' Utilizo Intelij 2016 Caliente para arreglarlo He añadido la misma lib en el estudio de Android y funciona

CircleCI Android No soportado major.minor versión 52.0

He estado pasando un día para el CircleCI en Android Project y sigo recibiendo java.lang.UnsupportedClassVersionError: com / android / build / gradle / AppPlugin: No soportado major.minor versión 52.0 cuando CircleCI ejecuta el comando gradle dependencies. Aquí hay un stacktrace que muestra: * Where: Build file '/home/ubuntu/MyProject/app/build.gradle' line: 1 * What went wrong: A problem […]

Android Studio: ¿Cómo crear un archivo build.gradle para usarlo en Jenkins?

Soy nuevo en gradle y tratando de averiguar cómo configurarlo en nuestra máquina de construcción Jenkins. Nuestra aplicación se basa perfectamente en Android Studio, pero no genera un archivo build.gradle, que creo que necesito para ejecutar la compilación gradle en Jenkins. ¡Cualquier ayuda apreciada!

NoClassDefFoundError usando Jackson 2.2.x en Android con Gradle

Para mi proyecto Android configuro Gradle con Jackson 2.2.x de la siguiente manera: // build.gradle buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.6.+' } } apply plugin: 'android' repositories { mavenCentral() } android { compileSdkVersion 18 buildToolsVersion "18.1.0" defaultConfig { minSdkVersion 8 targetSdkVersion 18 } } dependencies { compile 'com.android.support:appcompat-v7:18.0.0' compile 'com.android.support:support-v4:18.0.0' compile […]

¿Existe un valor máximo para el código de versión?

Siempre tenemos que incrementar versionCode por algún número arbitrario para publicarlo en google play. ¿Hay límite a ese valor y qué pasará si se alcanza? defaultConfig { applicationId "my.app" minSdkVersion 15 targetSdkVersion 22 versionCode 65 versionName "1.05" setProperty("archivesBaseName", "myapp-$versionCode") }

Android Studio .2.2 y el paquete Gradle no existe

Nuevo en Android Studio e importar bibliotecas Java externas. He leído las publicaciones sobre la configuración de dependencias Gradle y he arreglado mi primer paquete no existe error. Estas son las declaraciones de importación de mi archivo MainAcitivity.java: import com.google.android.gms.common.GooglePlayServicesUtil; import com.google.api.client.extensions.android.http.AndroidHttp; import om.google.api.client.googleapis.extensions.android.gms.auth.GoogleAccountCredential; import com.google.api.client.http.HttpTransport; import com.google.api.client.json.JsonFactory; import com.google.api.client.json.gson.GsonFactory; import com.google.api.services.tasks.TasksScopes; Y aquí están […]

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.